import { Component, Input } from '@angular/core';
import { FormControl } from '@angular/forms';

@Component({
  selector: 'app-input',
  templateUrl: './input.component.html',
  styleUrls: ['./input.component.scss']
})
export class InputComponent {

  @Input() name: string = 'input-form';
  @Input() placeholder: string = '';
  @Input() icon: string = '';
  @Input() type: string = 'text';
  @Input() control: FormControl = new FormControl('');

  get hasError(): boolean {
    let keys: string[] = Object.keys(this.control.errors || {});
    return keys.length != 0 && this.control.value.length != 0;
  }
  constructor() {
  }
}
