import { Component, OnInit } from '@angular/core';
import { FormControl, Validators } from '@angular/forms';
import { Router } from '@angular/router';
import { Rayconnect } from '../../../../services/rayconnect/rayconnect.service';

let interval: any;

@Component({
  selector: 'app-app',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {

  public isSend: boolean = false;
  public seconds: number = 120;
  public loading: boolean = false;

  // from 
  public phone: FormControl = new FormControl('', { validators: [Validators.required, Validators.minLength(11), Validators.maxLength(11)] });
  public token: FormControl = new FormControl('', { validators: [Validators.required, Validators.minLength(4), Validators.maxLength(4)] });
  constructor(private rayconnect: Rayconnect, private router: Router) { }

  ngOnInit(): void {
  }

  async send() {
    if (this.phone.invalid) return;
    try {
      await this.rayconnect.RequestOTP(this.phone.value);
      this.isSend = true;
      this.seconds = 120;
      this.startCountTimer();
    } catch (error) {

    }
  }

  async verify() {
    if (this.token.invalid) return;
    try {
      let result:any = await this.rayconnect.VerifyPhone(this.phone.value, this.token.value);
      if (result['status'] == true) {
        this.rayconnect.setToken(result['data']['token']);
        this.router.navigate(['/projects']);
      }
    } catch (error) {

    }
  }

  cancel() {
    this.token.setValue('');
    clearInterval(interval);
    this.isSend = false;
  }

  startCountTimer() {
    interval = setInterval(() => {
      if (this.seconds <= 0) clearInterval(interval);
      else this.seconds -= 1;
    }, 1000);
  }
}
