import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { ReactiveFormsModule } from '@angular/forms';
import { MaterialModule } from './material';
import { ProfileComponent } from './routes/profile/profile.component';
import { AppComponent } from './view/app/app.component';
import { NavComponent } from './view/nav/nav.component';
import { CreditComponent } from './routes/credit/credit.component';
import { PasswordComponent } from './routes/password/password.component';
import { CreditCardComponent } from './components/credit-card/credit-card.component';
import { ChartComponent } from './components/chart/chart.component';
import { GravatarModule } from '../../services/gravatar/gravatar.module';
import { NotificationsComponent } from './routes/notifications/notifications.component';



@NgModule({
  declarations: [ProfileComponent, AppComponent, NavComponent, CreditComponent, PasswordComponent, CreditCardComponent, ChartComponent, NotificationsComponent],
  imports: [
    CommonModule,
    MaterialModule,
    ReactiveFormsModule,
    GravatarModule,
    RouterModule.forChild([
      {
        path: '',
        component: AppComponent,
        children: [
          {
            path: 'profile',
            component: ProfileComponent
          },
          {
            path: 'credit',
            component: CreditComponent
          },
          {
            path: 'password',
            component: PasswordComponent
          },
          {
            path: 'notification',
            component: NotificationsComponent
          }
        ]
      }
    ])
  ]
})
export class MeModule { }
