import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-credit',
  templateUrl: './credit.component.html',
  styleUrls: ['../../me.module.scss', './credit.component.scss']
})
export class CreditComponent implements OnInit {

  public prices: number[] = [5000, 10000, 20000, 50000];
  public history: object[] = [
    {
      status: 'down',
      amount: 1000,
      date: '1399/09/05',
      time: '00:00'
    },
    {
      status: 'up',
      amount: 2000,
      date: '1399/09/01',
      time: '00:00'
    },
    {
      status: 'down',
      amount: 5000,
      date: '1399/09/01',
      time: '00:00'
    },
    {
      status: 'down',
      amount: 10000,
      date: '1399/09/05',
      time: '00:00'
    },
    {
      status: 'up',
      amount: 20000,
      date: '1399/09/01',
      time: '00:00'
    },
    {
      status: 'down',
      amount: 3000,
      date: '1399/09/01',
      time: '00:00'
    },
  ];
  public columns: string[] = ['index', 'status', 'amount', 'date', 'time', 'description'];
  public amount: number = 1000000;
  constructor() { }

  ngOnInit(): void {
  }

  public toPrice(price: number = 0): string {
    let str = price.toString();
    str = str.replace(/\,/g, '');
    var objRegex = new RegExp('(-?[0-9]+)([0-9]{3})');
    while (objRegex.test(str)) {
      str = str.replace(objRegex, '$1,$2');
    }
    return str;
  }
}
