import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { MaterialModule } from './material';
import { GravatarModule } from '../../services/gravatar/gravatar.module';
import { AppComponent } from './view/app/app.component';
import { NavComponent } from './view/nav/nav.component';
import { InfoComponent } from './view/info/info.component';


@NgModule({
  declarations: [AppComponent, NavComponent, InfoComponent],
  imports: [
    CommonModule,
    MaterialModule,
    GravatarModule,
    RouterModule.forChild([
      {
        path: '',
        component: AppComponent,
        children: [
          {
            path: 'dashboard',
            loadChildren: () => import('./routes/dashboard/dashboard.module').then(m => m.DashboardModule)
          },
          {
            path: 'apps',
            loadChildren: () => import('./routes/apps/apps.module').then(m => m.AppsModule)
          },
          {
            path: 'app/:id',
            loadChildren: () => import('./routes/app/app.module').then(m => m.AppModule)
          }
        ]
      }
    ])
  ]
})
export class ProjectModule { }
