import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { MaterialModule } from './material';
import { ViewComponent } from './view/view.component';
import { DrawerComponent } from './components/drawer/drawer.component';
import { SettingsComponent } from './routes/settings/settings.component';
import { InfoComponent } from './routes/info/info.component';



@NgModule({
  declarations: [ViewComponent, DrawerComponent, SettingsComponent, InfoComponent],
  imports: [
    CommonModule,
    MaterialModule,
    RouterModule.forChild([
      {
        path: '',
        component: ViewComponent,
        children: [
          {
            path: 'info',
            component: InfoComponent
          },
          {
            path: 'settings',
            component: SettingsComponent
          }
        ]
      }
    ])
  ]
})
export class AppModule { }
