import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { FormsModule } from '@angular/forms';
import { MaterialModule } from './material';
import { CreateComponent, FilterPipe } from './routes/create/create.component';
import { ListComponent } from './routes/list/list.component';
import { CreateCardComponent } from './components/create-card/create-card.component';
import { CreateCategoryCardComponent } from './components/create-category-card/create-category-card.component';
import { StepperComponent } from './components/stepper/stepper.component';
import { FormComponent } from './components/form/form.component';
import { PricePlansComponent } from './components/price-plans/price-plans.component';
import { CardComponent } from './components/card/card.component';
import { DomainComponent } from './components/domain/domain.component';


@NgModule({
  declarations: [CreateComponent, ListComponent, CreateCardComponent, CreateCategoryCardComponent, StepperComponent, FilterPipe, FormComponent, PricePlansComponent, CardComponent, DomainComponent],
  imports: [
    CommonModule,
    MaterialModule,
    FormsModule,
    RouterModule.forChild([
      {
        path: '',
        component: ListComponent
      },
      {
        path: 'create',
        component: CreateComponent
      }
    ])
  ]
})
export class AppsModule { }
