import { Component, Input, OnInit } from '@angular/core';
import { apps } from '../../../../database/apps';

@Component({
  selector: 'app-card',
  templateUrl: './card.component.html',
  styleUrls: ['./card.component.scss']
})
export class CardComponent implements OnInit {

  @Input() item: any | undefined;
  public image: string | undefined; // app logo image
  constructor() { }

  ngOnInit(): void {
    this.findImage();
  }

  private findImage() {
    let name = this.item!['app']!['name'];
    let type = this.item!['app']!['type'];
    this.image = apps.find(item => item!.name == name && item!.type == type)!.logo;
  }
}
