import { Component, Output, EventEmitter } from '@angular/core';
import { Plan, plans } from '../../../../database/prices';

@Component({
  selector: 'app-price-plans',
  templateUrl: './price-plans.component.html',
  styleUrls: ['./price-plans.component.scss']
})
export class PricePlansComponent {

  public plans: Plan[] = plans;
  public columns: string[] = ['select', 'name', 'cpu', 'ram', 'hdd', 'price'];
  public selected: string = '';
  @Output() back: EventEmitter<null> = new EventEmitter<null>();
  @Output() submit: EventEmitter<any> = new EventEmitter<any>();
  constructor() { }

  public toPrice(price: number = 0): string {
    let str = price.toString();
    str = str.replace(/\,/g, '');
    var objRegex = new RegExp('(-?[0-9]+)([0-9]{3})');
    while (objRegex.test(str)) {
      str = str.replace(objRegex, '$1,$2');
    }
    return str;
  }
}
