import { Component, OnInit } from '@angular/core';
import { Todo } from '../../../../../../services/todo/todo.service';

@Component({
  selector: 'app-todo',
  templateUrl: './todo.component.html',
  styleUrls: ['./todo.component.scss']
})
export class TodoComponent implements OnInit {

  public mode: 'delete' | 'add' | 'normal' = 'normal';
  public content: string = '';
  constructor(public todo: Todo) { }

  ngOnInit(): void {
    this.todo.load().then(() => console.log(this.todo.items))
  }

  setMode(mode: 'delete' | 'add') {
    this.mode = this.mode == mode ? 'normal' : mode;
  }

  async add() {
    this.mode = 'normal';
    let content: string = this.content;
    this.content = '';
    await this.todo.add(content);
  }

  toggleCheck(timestamp: number, event: any) {
    this.todo.check(timestamp, event.checked)
  }
}
