import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { FormsModule } from '@angular/forms';
import { MaterialModule } from './material';
import { AppComponent } from './routes/app/app.component';
import { PerformanceComponent } from './components/performance/performance.component';
import { InfoComponent } from './components/info/info.component';
import { CostComponent } from './components/cost/cost.component';
import { FreezeComponent } from './components/freeze/freeze.component';
import { NotificationsComponent } from './components/notifications/notifications.component';
import { TodoComponent } from './components/todo/todo.component';



@NgModule({
  declarations: [AppComponent, PerformanceComponent, InfoComponent, CostComponent, FreezeComponent, NotificationsComponent, TodoComponent],
  imports: [
    CommonModule,
    MaterialModule,
    FormsModule,
    RouterModule.forChild([
      {
        path: '',
        component: AppComponent
      }
    ])
  ]
})
export class DashboardModule { }
