import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MaterialModule } from './material';

import { ListProjectsComponent } from './routes/list-projects/list-projects.component';
import { CreateProjectsComponent } from './routes/create-projects/create-projects.component';



@NgModule({
  declarations: [ListProjectsComponent, CreateProjectsComponent],
  imports: [
    CommonModule,
    MaterialModule,
    FormsModule,
    ReactiveFormsModule,
    RouterModule.forChild([
      {
        path: '',
        component: ListProjectsComponent
      }
    ])
  ]
})
export class ProjectsModule { }
