import { Component, OnInit } from '@angular/core';
import { SDK } from '../../sdk/sdk.service';

@Component({
  selector: 'app-list-projects',
  templateUrl: './list-projects.component.html',
  styleUrls: ['./list-projects.component.scss']
})
export class ListProjectsComponent implements OnInit {

  public projects: any[] = [];
  public creating: boolean = false;
  constructor(private sdk: SDK) { }

  ngOnInit(): void {
    this.fetch();
  }

  fetch() {
    this.sdk.get().subscribe(data => this.projects = data);
  }

  /**
   * Push a new project to projects array
   */
  push(data: object) {
    this.projects.push(data);
  }
}
