import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { Rayconnect } from '../../../services/rayconnect/rayconnect.service';

@Injectable({
  providedIn: 'root'
})
export class SDK {

  constructor(private rayconnect: Rayconnect) { }

  async check(id: string): Promise<number> {
    try {
      let res = await this.rayconnect.RequestBack({
        address: 'apps/check',
        scope: 'apps',
        info: {
          method: 'CHECK',
          data: {
            aid: id,
          }
        }
      });

      console.log(res);
      return 0;
    } catch (error) {
      return -1;
    }
  }

  get() {
    let result: BehaviorSubject<object[]> = new BehaviorSubject<object[]>([]);
    this.rayconnect.execQuery({
      address: 'apps/list',
      scope: 'apps',
      info: {
        method: 'LIST',
        data: undefined
      }
    });

    this.rayconnect.Query({
      address: 'apps/list',
      scope: 'apps',
      method: 'LIST'
    }, (data) => {
      result.next(data['data']);
    })

    return result;
  }


  async create(id: string): Promise<void> {
    try {
      let res = await this.rayconnect.RequestBack({
        TokenID: "*",
        uniqueID: "root",
        address: '',
        scope: 'apps',
        info: {
          method: 'CREATE',
          data: {
            aid: id,
            phone: '09022820079'
          }
        }
      });
      console.log(res);
    } catch (error) {

    }
  }
}
