import { Directive, ElementRef, OnInit, Renderer2 } from '@angular/core';
import { Md5 } from 'ts-md5/dist/md5';

@Directive({
  selector: '[gravatar]'
})
export class GravatarDirective implements OnInit {

  private email: string = '';
  private default: string = 'http://mirza.c1.iran.rayconnect.ir/avatar-185.png';
  private get hash(): string {
    return Md5.hashStr(this.email.trim().toLocaleLowerCase()).toString();
  }
  constructor(private element: ElementRef, private render: Renderer2) { }


  private make() {
    this.render.setAttribute(this.element.nativeElement, 'style', `background-image: url('https://www.gravatar.com/avatar/${this.hash}?d=${this.default}')`);
  }

  ngOnInit() {
    this.make();
  }
}
