import { Injectable } from '@angular/core';
import RAYCONNECT from 'rayconnect-client';

@Injectable({
  providedIn: 'root'
})
export class Rayconnect extends RAYCONNECT {

  constructor() {
    super({
      scopes: "apps",
      appID: "main",
      space: "main",
      type: "client",
    }, undefined, true);
  }

  init() {
    return new Promise((resolve, reject) => {
      this.OnConnect(() => {
        this.login().then(resolve).catch(reject);
      })
    })
  }

  login() {
    return new Promise(async (resolve, reject) => {
      try {
        let token: any;
        token = await window.localStorage.getItem('rayconnect-token');
        if (!token) {
          let login = await this.Guest();
          token = login.data.token;
          window.localStorage.setItem('rayconnect-token', token);
        }
        await this.Auth(token);
        resolve(this.user);
      } catch (error) {
        reject(error);
      }
    })
  }

  async setToken(token: string): Promise<boolean> {
    await window.localStorage.setItem('rayconnect-token', token);
    await this.Auth(token);
    return true;
  }
}
